<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'salereg_fr.php';

$supplier = $_POST["supplier"];
$architecture = $_POST["architecture"];
$salesmn = $_POST["salesman"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];


$saleexec = $_SESSION["saleexec"];
$usertype = $_SESSION["usertype"];
$username = strtoupper($_SESSION["username_" . $dbname]);
if ($usertype != 1) {
    $keycond1 = " and `salesman`='$saleexec'";
} else {
    $keycond1 = "";
}

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `paidby`= '$ptype'";
}
if (!empty($architecture)) {
    $archcond = " AND `architect`= '$architecture'";
}
if (!empty($salesmn)) {
    $slmncond = " AND `salesman`= '$salesmn'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

$formname = 'Sale Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; salereg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}
$getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
                                        AND `vouchdt` <= '$mtodate' $keycond1 $suppcond $ptypecond $archcond $gstcond $pcond $slmncond order by vouchdt,vouchno") or die(mysqli_error($conn));


$getno2 = mysqli_num_rows($getpmain2);

if (isset($_POST["view"]) || ($_GET["view"])) {
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    </head>

    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep.php");


            //browse (1); 

            if ($getno2 > 0) {
                ?>
                
                <?php if ($ptype != "") { ?>
                    <table width="100%" class="table" style="background-color: #98F9F0">
                        <tr>
                            <td width="7%" style="font-size:14px">Pay Type : </td>
                            <td width="93%" style="font-size:14px"><b>//<?php echo $paytype; ?></b></td>
                        </tr>
                    </table>
                <?php } ?>
<!--                <table class="table table-condesed table-bordered">
                    <tr class="mySearchTr">
                        9221292520
                        <th width="100%" class="h4" style="color:white"><b>Sale Register</b></th>
                    </tr>
                    <tr>
                        <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                            Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                        </td>
                    </tr>
                </table>-->
                <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                    <thead class="mySearchTr">
                        <tr>
                            <th width="3%;">Sr. No.</th>
                            <th width="5%;">Voucher No.</th>
                            <th width="7%;">Date</th>
                            <th width="7%;">Mobile</th>
                            <th width="5%;">Invoice No.</th>
                            <th width="22%;">Party</th>
                            <!-- <th width="12%;">Name To Print</th> -->
                            <th width="7%;">Architect</th>
                            <th width="10%;">Sales Executive</th>
                            <th width="7%;">Paid By</th>
                            <th width="7%;" class="text-right">Total Qty.</th>
                            <th width="10%;" class="text-right">Net Amount</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $pctr = 0;
                        $ptotamt = 0;
                        $ptotdiscamt = 0;
                        $ptottaxable = 0;
                        $ptotgst3 = 0;
                        $ptotgst5 = 0;
                        $ptotgst12 = 0;
                        $ptotgst18 = 0;
                        $ptotgst28 = 0;
                        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                        $pchtypecond = "";

                        //                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
                        //                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


                        while ($pmain = mysqli_fetch_array($getpmain2)) {


                            if ($pmain['paidby'] == "C") {
                                $ptyped = "CASH";
                            } else {
                                $ptyped = "CREDIT";
                            }

                            $voucher = $pmain['vouchno'];
                            $invno = $pmain['invno'];
                            $totalqty = $pmain['totalqty'];
                            $mydt = $pmain['mydt'];
                            $mobile = $pmain['mobile'];
                            $ntprint = $pmain['ntprint'];

                            if ($pmain['canc_flag'] == "C") {
                                $partynm = "<b style='color:red'>CANCELLED</b>";
                                $color = "red";
                                $subtot = $totdisc = $totvat = $billamt = 0;
                                $gstno = "";
                                $billamt = $subtot = $totvat = $totdisc = $totgst = 0;
                            } else if ($pmain['canc_flag'] != "C") {
                                $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                $sparty = mysqli_fetch_array($gparty);



                                $partynm = $sparty['name'];
                                $billamt = $pmain['billamt'];
                                $subtot = $pmain['grossamt'];
                                $totvat = $pmain['packing'];
                                $totgst = $pmain['addgst'];
                                $totdisc = $pmain['totdisc'];
                            }

                            $garchitect = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[architect]'") or die(mysqli_error($conn));
                            $fetarch = mysqli_fetch_array($garchitect);
                            $architect = $fetarch['name'];

                            $gsales = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`= '$pmain[salesman]'") or die(mysqli_error($conn));
                            $fetsale = mysqli_fetch_array($gsales);
                            $salesman = $fetsale['name'];


                            $pctr++;
                            echo "<tr data-href='sale.php?mode=edit&vouchno=$voucher' class='clickable-row2' style='cursor: pointer;' [target]='_blank'>";
                            echo "<td>$pctr</td>";
                            echo "<td>$voucher</td>";
                            echo "<td>$mydt</td>";
                            echo "<td>$mobile</td>";
                            echo "<td>$invno</td>";
                            echo "<td>$partynm</td>";
                            // echo "<td>$ntprint</td>";
                            echo "<td>$architect</td>";
                            echo "<td>$salesman</td>";
                            echo "<td>$ptyped</td>";
                            echo "<td class='text-right'>$totalqty</td>";
                            echo "<td class='text-right'>$billamt</td>";
                            echo "</tr>";


                            $pgrtotqty = $pgrtotqty + $totalqty;
                            $pgrsubtot = $pgrsubtot + $subtot;
                            $pgrtotdis = $pgrtotdis + $totdisc;
                            $pgrtotvat = $pgrtotvat + $totvat;
                            $pgrtotgst = $pgrtotgst + $totgst;
                            $pgrtotbillamt = $pgrtotbillamt + $billamt;

                            if ($_POST["dtype"] == 2) {
                                echo "<tr style='height:10px;'>";
                                echo "<td colspan='25'>";
                                echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                echo "<thead>";
                                echo "<tr class='' style='background-color:#BABFC2'>";
                                echo "<th style='width:5%;'>Sr. No.</th>";
                                echo "<th style='width:9%;'  class='text-right'>Qty.</th>";
                                echo "<th style='width:9%;'  class='text-right'>Unit</th>";
                                echo "<th style='width:15%;' class='text-right'>Size</th>";
                                echo "<th style='width:10%;' class='text-right'>Rate</th>";
                                echo "<th style='width:20%;'>Amount</th>";
                                echo "<th style='width:17%;'>Item</th>";
                                echo "<th style='width:15%;'>Delivery Date</th>";
                                echo "</tr>";
                                echo "<thead>";
                                echo "<tr>";

                                $ctr2 = 0;
                                $pctr2 = 0;
                                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                while ($tran = mysqli_fetch_array($gettran)) {

                                    $ctr2++;
                                    echo "<tr>";
                                    echo "<td>$ctr2</td>";
                                    echo "<td class='text-right'>$tran[qty]</td>";
                                    echo "<td class='text-right'>$tran[unit]</td>";
                                    echo "<td class='text-right'>$tran[size]</td>";
                                    echo "<td class='text-right'>$tran[rate]</td>";
                                    echo "<td class='text-right'>$tran[amount]</td>";
                                    echo "<td>$tran[itemname]</td>";
                                    echo "<td>$tran[delivery_date]</td>";
                                    echo "</tr>";

                                    $pcartqty = $pcartqty + $tran['cartqty'];
                                    $pqty = $pqty + $tran['qty'];
                                    $ptotqty = $ptotqty + $tran['totqty'];
                                    $ptotamount = $ptotamount + $tran['amount'];
                                    $ptotdiscount = $ptotdiscount + $tran['discamt'];
                                    $ptotvat = $ptotvat + $tran['vat'];
                                    $ptotal = $ptotal + $tran['total'];
                                }
                                echo "<tr>";
                                echo "<td>Total</td>";
                                echo "<td class='text-right'>$pqty</td>";
                                echo "<td colspan='3'></td>";
                                echo "<td class='text-right'>$ptotamount</td>";
                                echo "<td colspan='2'></td>";
                                echo "</tr>";
                                echo "</table>";
                            }
                        }
                        if ($ptype != "") {
                            
                        }
                        echo "<tr class=''>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td><b></b></td>";
                        echo "<td class='text-right' style='font-size:15px'><b>Total</b></td>";
                        echo "<td class='numeric text-right' style='font-size:15px'><b>$pgrtotqty</b></td>";
                        echo "<td class='numeric text-right' style='font-size:15px'><b>$pgrtotbillamt</b></td>";
                        echo "</tr>";
                        ?>

                    </tbody>
                </table>
                <?php
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
    <?php
}
if (isset($_POST["excel"])) {

    //                $getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `salemain` WHERE `vouchdt` >= '$mfrmdate' 
    //                                            AND `vouchdt` <= '$mtodate' $suppcond $ptypecond $archcond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));
    //    
    //    
    //                $getno2 = mysqli_num_rows($getpmain2);

    $contents .= "Sr,Voucher,Date,Mobile,Invoice,Party,Name To Print,Architect Name,Salesman,Paid By,Total Qty,Net Amount\n";

    $pctr = 0;
    $ptotamt = 0;
    $ptotdiscamt = 0;
    $ptottaxable = 0;
    $ptotgst3 = 0;
    $ptotgst5 = 0;
    $ptotgst12 = 0;
    $ptotgst18 = 0;
    $ptotgst28 = 0;
    $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
    $pchtypecond = "";

    while ($pmain = mysqli_fetch_array($getpmain2)) {


        if ($pmain['paidby'] == "C") {
            $ptyped = "CASH";
        } else {
            $ptyped = "CREDIT";
        }

        $voucher = $pmain['vouchno'];
        $invno = $pmain['invno'];
        $totalqty = $pmain['totalqty'];
        $mydt = $pmain['mydt'];
        $mobile = $pmain['mobile'];
        $ntprint = $pmain['ntprint'];

        if ($pmain['canc_flag'] == "C") {
            $partynm = $contents .= "CANCELLED" . ",";
            $color = "red";
            $subtot = $totdisc = $totvat = $billamt = 0;
            $gstno = "";
            $billamt = $subtot = $totvat = $totdisc = $totgst = 0;
        } else if ($pmain['canc_flag'] != "C") {
            $gparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
            $sparty = mysqli_fetch_array($gparty);



            $partynm = $sparty['name'];
            $billamt = $pmain['billamt'];
            $subtot = $pmain['grossamt'];
            $totvat = $pmain['packing'];
            $totgst = $pmain['addgst'];
            $totdisc = $pmain['totdisc'];
        }

        $garchitect = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[architect]'") or die(mysqli_error($conn));
        $fetarch = mysqli_fetch_array($garchitect);
        $architect = $fetarch['name'];

        $gsales = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`= '$pmain[salesman]'") or die(mysqli_error($conn));
        $fetsale = mysqli_fetch_array($gsales);
        $salesman = $fetsale['name'];


        $pctr++;

        $contents .= "$pctr" . ",";
        $contents .= "$voucher" . ",";
        $contents .= "$mydt" . ",";
        $contents .= "$mobile" . ",";
        $contents .= "$invno" . ",";
        $contents .= "$partynm" . ",";
        $contents .= "$ntprint" . ",";
        $contents .= "$architect" . ",";
        $contents .= "$salesman" . ",";
        $contents .= "$ptyped" . ",";
        $contents .= "$totalqty" . ",";
        $contents .= "$billamt" . "\n";

        $pgrtotqty = $pgrtotqty + $totalqty;
        $pgrsubtot = $pgrsubtot + $subtot;
        $pgrtotdis = $pgrtotdis + $totdisc;
        $pgrtotvat = $pgrtotvat + $totvat;
        $pgrtotgst = $pgrtotgst + $totgst;
        $pgrtotbillamt = $pgrtotbillamt + $billamt;

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr,Qty.,Unit,Size,Rate,Amount,Item,Delivery Date\n";

            $ctr2 = 0;
            $pctr2 = 0;
            $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $ctr2++;
                $contents .= "$ctr2" . ",";
                $contents .= "$tran[qty]" . ",";
                $contents .= "$tran[unit]" . ",";
                $contents .= "$tran[size]" . ",";
                $contents .= "$tran[rate]" . ",";
                $contents .= "$tran[amount]" . ",";
                $contents .= "$tran[itemname]" . ",";
                $contents .= "$tran[delivery_date]" . ",";

                $pcartqty = $pcartqty + $tran['cartqty'];
                $pqty = $pqty + $tran['qty'];
                $ptotqty = $ptotqty + $tran['totqty'];
                $ptotamount = $ptotamount + $tran['amount'];
                $ptotdiscount = $ptotdiscount + $tran['discamt'];
                $ptotvat = $ptotvat + $tran['vat'];
                $ptotal = $ptotal + $tran['total'];
            }

            $contents .= "Total" . ",";
            $contents .= "$pqty" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "$ptotamount" . ",";
            $contents .= "" . ",";
            $contents .= "" . "\n";
        }
    }
    if ($ptype != "") {
        
    }
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "Total" . ",";
    $contents .= "$pgrtotqty" . ",";
    $contents .= "$pgrtotbillamt" . "\n";


    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>